26/12/2008 0.2.9
- src/lua/hotmail.lua, src/lua/juno.lua: Fixed login issues (russell822)
- src/lua/supereva.lua: added patch by la scimmia to fix To: problem (gareuselesinge)
- updater-ui/dialog/freepops-updater-dialog, updater-ui/zenity/freepops-updater-zenity: use mktem if tempfile not available (gareuselesinge), thanks Vito De Tullio
- buildfactory/Makefile, buildfactory/debian-ubuntu/control, buildfactory/debian-ubuntu/freepops.postinst, buildfactory/debian-ubuntu/rules: patch by blackmoon for ubuntu (gareuselesinge)
- buildfactory/Makefile, buildfactory/osx/Info.plist, buildfactory/osx/Info.plist.in: osx version will be reported correctly from now on (gareuselesinge)
- buildfactory/debian-ubuntu-dapper/control, buildfactory/debian-ubuntu-dapper/rules: added dapper stuff (gareuselesinge)
- buildfactory/debian-ubuntu/freepops-updater-gnome.desktop: minor fix (gareuselesinge)
- buildfactory/debian/changelog, buildfactory/debian/control, buildfactory/debian/freepops.cron.hourly, buildfactory/debian/rules, scripts/create_jail.sh: approaching 2.9.0 (gareuselesinge)
- buildfactory/debian/changelog, buildfactory/debian/freepops.postinst, buildfactory/debian/rules: some debian fixes (gareuselesinge)
- buildfactory/osx/Install_resources/English.lproj/ReadMe.txt, buildfactory/osx/Install_resources/Italian.lproj/ReadMe.txt, buildfactory/osx/iceberg/FreePOPs/FreePOPs.packproj, scripts/compile-gettext-universal.sh, src/Makefile: added gettext library, fixed installer (gareuselesinge)
- buildfactory/osx/Install_resources/English.lproj/ReadMe.txt, buildfactory/osx/Install_resources/Italian.lproj/ReadMe.txt, configure.sh, scripts/compile-curl-universal.sh, src/Makefile: use of an embedded version of libcurl for osx to avoid the old and crappy 10.4 version (gareuselesinge)
- src/lua/davmail.lua: fixed metadata (gareuselesinge)
- src/lua/hotmail.lua: new version by russell (gareuselesinge)
- src/lua/mailcom.lua: Fixed issues with india.com (russell822)
- src/lua/yahoo.lua: Minor tweaks to fix issues reported in threads. (russell822)
- osx uses a custom version of curl, since osx 10.4 has an old version
- osx package will report the correct version
01/11/2008 0.2.8
- Makefile, buildfactory/Makefile, buildfactory/debian-etch/control, buildfactory/debian-ubuntu/control, buildfactory/debian-ubuntu/freepops-updater-fltk.dirs, buildfactory/debian-ubuntu/rules, buildfactory/debian/control, buildfactory/debian/freepops-updater-fltk.dirs, buildfactory/debian/rules, buildfactory/win/freepops.nsi.in, configure.sh, updater-ui/fltk/Makefile, updater-ui/fltk/main.cxx: internationalization and localization of the fltk updater by blackmoon (gareuselesinge)
- buildfactory/Makefile, buildfactory/win/freepops.nsi.in, configure.sh, modules/modules, modules/src/lwel/lwel-0.0.1.tar.gz, modules/src/subscribed, src/Makefile, src/luabox.c, src/luabox.h, updater-ui/fltk/main.cxx: windows event logging (gareuselesinge)
- buildfactory/debian-ubuntu/control, buildfactory/debian-ubuntu/rules: patch by blackmoon to fix ubuntu (gareuselesinge)
- buildfactory/debian-ubuntu/rules, buildfactory/debian/rules, configure.sh: locale dir fixed for double / (gareuselesinge)
- buildfactory/debian/changelog, buildfactory/debian/control, buildfactory/debian/freepops.cron.hourly, buildfactory/debian/rules, scripts/create_jail.sh: approaching 2.8.0 (gareuselesinge)
- buildfactory/debian/changelog, buildfactory/debian/control: fixed typo in package description (gareuselesinge)
- buildfactory/debian/changelog: integrated i18n patches (gareuselesinge)
- buildfactory/debian/freepops.init: LSB headers fixed (gareuselesinge)
- buildfactory/debian/po/ja.po, buildfactory/debian/po/tr.po, scripts/check-status-published.sh: ... (gareuselesinge)
- buildfactory/osx/start-stop-freepopsd: fix for paths with whitespace (gareuselesinge)
- buildfactory/osx/start-stop-freepopsd: more escaping (gareuselesinge)
- buildfactory/win/freepops.nsi.in: added /r (gareuselesinge)
- buildfactory/win/freepops.nsi.in: fixed forum address (gareuselesinge)
- buildfactory/win/freepops.nsi.in: fixed uninstallation of LANG stuff (gareuselesinge)
- config.h: with wel we are 0.2.8 (gareuselesinge)
- config.lua, src/lua/hotmail.lua: added a domain to hotmail (gareuselesinge)
- config.lua: Added support for ymail.com (russell822)
- modules/modules, modules/src/lgettext/lgettext.c, modules/src/lgettext/lgettext.h, modules/src/lgettext/lgettext.luadoc, modules/src/subscribed, modules/src/updater_lua/updater_common.lua, src/Makefile, src/luabox.c, src/luabox.h, updater-ui/fltk/main.cxx, updater-ui/fltk/po/it.po, updater-ui/fltk/po/updater.pot: gettext patch included (gareuselesinge)
- modules/modules, modules/src/smartlog_lua/interface, modules/src/smartlog_lua/smartlog.lua, modules/src/subscribed, src/lua/hotmail.lua, src/lua/yahoo.lua: added smartlog (gareuselesinge)
- modules/src/browser_lua/browser.lua: added doc for setIgnoreContentLen (gareuselesinge)
- modules/src/browser_lua/browser.lua: added ignore content len support to the browser (gareuselesinge)
- modules/src/browser_lua/browser.lua: bumped browser version (gareuselesinge)
- modules/src/browser_lua/cookie.lua: Fix an issue where cookie expiration was larger than the data structure we use for dates. (russell822)
- modules/src/browser_lua/cookie.lua: Made a change suggestioned by a user. (russell822)
- modules/src/log/log.c: removed printf XXX (gareuselesinge)
- modules/src/luacurl/lua-curl-0.3.0.diff, modules/src/luacurl/lua-curl-0.3.0.tar.gz, modules/src/luacurl/luacurl-0.2.1.diff, modules/src/luacurl/luacurl-0.2.1.tar.gz: new luacurls (gareuselesinge)
- modules/src/lwel/lwel-0.0.1.tar.gz, src/lua/yahoo.lua: lwel seems ready to be tested in production environment (gareuselesinge)
- modules/src/lwel/lwel-0.0.1.tar.gz, src/luabox.c: lwel with a lua oowrapper (gareuselesinge)
- modules/src/lwel/lwel-0.0.1.tar.gz: added license to lwel (gareuselesinge)
- modules/src/lwel/lwel-0.0.1.tar.gz: fixed installation (gareuselesinge)
- modules/src/mimer_lua/mimer.lua: Fix an undeclared variable problem. (russell822)
- modules/src/mimer_lua/mimer.lua: chenges from russell (gareuselesinge)
- src/lua/aggregator.lua: main in both html and text format (gareuselesinge)
- src/lua/aol.lua: Increased the number of messages available to be pulled from stat from 20 to 999. Added the forcedelete flag that will move deleted messages to the trash and not the read folder. (russell822)
- src/lua/gmail.lua: Fixed the enableimap functionality caused by a gmail change. (russell822)
- src/lua/gmail.lua: Reaction to a change by google. (russell822)
- src/lua/hotmail.lua: Fixed UTF-8 and gb1232 decoding problem. Reverted UIDLs to store just GUID since "n" value changes per session. Have to store full uidls in global array so we can reference to delete. (cdmack)
- src/lua/hotmail.lua: Fixes related to changes made by hotmail. (russell822)
- src/lua/hotmail.lua: More updates to hotmail to try and get all live light users working. (russell822)
- src/lua/hotmail.lua: Quite a few changes made in reaction to changes by Hotmail. This fixes STAT, DELE, empty trash, empty junk among other things. A big thanks to CDMACKIE for the changes. (russell822)
- src/lua/hotmail.lua: Removed old patch header (cdmack)
- src/lua/hotmail.lua: Updated the code that handles header insertion. (russell822)
- src/lua/libero.lua, src/lua/libero.lua: patch for domains not @libero (gareuselesinge)
- src/lua/libero.lua: better ssh initialization (gareuselesinge)
- src/lua/libero.lua: fixed login procedure (gareuselesinge)
- src/lua/libero.lua: new https login fixed (gareuselesinge)
- src/lua/orange.lua: Fix a login issue caused by a site change. (russell822)
- src/lua/supereva.lua: fix (gareuselesinge)
- src/lua/yahoo.lua: Bug Fixes:- Interstitial toolbar code was broken Thread (Edit: Modified in beta2)- view=unread was broken thread- yahoo.cn STAT fix merge thread- Second page of messages where only a single message appears (russell822)
- src/lua/yahoo.lua: Fix by Kevin to handle interstituals. (russell822)
- src/lua/yahoo.lua: Fixed an issue related to maxmesgs -- Submitted by Rom. (russell822)
- src/lua/yahoo.lua: Fixed an issue where an error unoccurred when no messages are in the inbox. (russell822)
- src/lua/yahoo.lua: Fixed an issue with MB sized messages causing the plugin to fail. (russell822)
- src/lua/yahoo.lua: Fixed multiple page stat with the 'mc' interface. (russell822)
- src/lua/yahoo.lua: Fixes to the unread status header. (russell822)
- src/lua/yahoo.lua: Merged in a slew of fixes from Kevin related to DC, attachments, and some MC stability. (russell822)
- src/lua/yahoo.lua: new version number requiring freepops 0.2.8 (gareuselesinge)
- src/lua/yahoo.lua: revert last change (gareuselesinge)
- src/lua/yahoo.lua: yahoo by russell (gareuselesinge)
- src/lua/yahoo.lua: ymail.com support (russell822)
- updater-ui/fltk/po/Makefile, updater-ui/fltk/po/it.gmo, updater-ui/fltk/po/it.po, updater-ui/fltk/po/updater.pot: added updater translations (gareuselesinge)
- updater-ui/fltk/po/it.gmo: removed generated file (gareuselesinge)
- updater-ui/fltk/po/it.po: Fixed a typo (alessiofender)
- new smartlog module by russell
- added some translation for Debian
- new version of lua-curl revamped to curl 7.18.1
- OSX scrips supports paths with whitespaces (thanks nx2000car)
- added support to Windows Event Logging
07/06/2008 0.2.7
- Makefile, buildfactory/Makefile, buildfactory/debian-etch/control, buildfactory/debian-ubuntu/control, buildfactory/debian-ubuntu/freepops-updater-fltk.dirs, buildfactory/debian-ubuntu/rules, buildfactory/debian/control, buildfactory/debian/freepops-updater-fltk.dirs, buildfactory/debian/rules, buildfactory/win/freepops.nsi.in, configure.sh, updater-ui/fltk/Makefile, updater-ui/fltk/main.cxx: internationalization and localization of the fltk updater by blackmoon (gareuselesinge)
- modules/src/browser_lua/browser.lua: bumped browser version (gareuselesinge)
- modules/src/log/log.c: removed printf XXX (gareuselesinge)
- Makefile, buildfactory/debian/changelog, buildfactory/debian/control, buildfactory/debian/freepops-updater-fltk.menu, buildfactory/debian/freepops-updater-gnome.dirs, buildfactory/debian/freepops-updater-gnome.menu, buildfactory/debian/freepops.menu, buildfactory/debian/rules, doc/freepops-updater-zenity.1: manpage for -zenity and Makefile fixed, debian package updated (gareuselesinge)
- Makefile, buildfactory/debian/control, buildfactory/debian/freepops-updater-gnome.dirs, buildfactory/debian/freepops-updater-gnome.menu, buildfactory/debian/rules, updater-ui/dialog/freepops-updater-dialog, updater-ui/zenity/freepops-updater-zenity: added zenity updater (gareuselesinge)
- buildfactory/Makefile, buildfactory/osx/Install_resources/English.lproj/ReadMe.txt, buildfactory/osx/Install_resources/Italian.lproj/ReadMe.txt, buildfactory/osx/popup-fltk/Makefile, buildfactory/osx/popup-fltk/fmessage.cpp, buildfactory/osx/start-stop-freepopsd: fixes or osx compilation and startup (gareuselesinge)
- buildfactory/Makefile, buildfactory/osx/iceberg/FreePOPs/FreePOPs.packproj, buildfactory/osx/iceberg/FreePOPs/FreePOPs.packproj.in, buildfactory/osx/popup-fltk/Makefile: iceberg installer working again, no more need of a .in file, @@VERSION@@ used in thepackproj file and substituted on the fly. (gareuselesinge)
- buildfactory/Makefile, buildfactory/osx/popup-fltk/Makefile: fix for osx (gareuselesinge)
- buildfactory/Makefile, buildfactory/win/freepops.nsi.in: removed LUA/config.lua in windows distribution (gareuselesinge)
- buildfactory/Makefile: cleanup for osx build (gareuselesinge)
- buildfactory/Makefile: corrected dll names (gareuselesinge)
- buildfactory/Makefile: fixed missing config.lua file (gareuselesinge)
- buildfactory/debian-ubuntu/control: updated deps, thanks blackmoon (gareuselesinge)
- buildfactory/debian/changelog, buildfactory/debian/control: texlive in favour of tetex (gareuselesinge)
- buildfactory/debian/changelog, buildfactory/debian/freepops-updater-fltk.menu, buildfactory/debian/freepops-updater-gnome.desktop, buildfactory/debian/freepops-updater-gnome.dirs, buildfactory/debian/freepops-updater-gnome.menu, buildfactory/debian/po/fi.po, buildfactory/debian/rules, doc/freepopsd.1: more fixes for debian (gareuselesinge)
- buildfactory/debian/control, buildfactory/debian/rules: the debian package require luasocket (gareuselesinge)
- buildfactory/debian/control: added dependendencies over texlive stuff (gareuselesinge)
- buildfactory/debian/freepops-updater-gnome.desktop: fixed gnome .desktop (gareuselesinge)
- buildfactory/osx/Info.plist: it seems this file was lost (gareuselesinge)
- buildfactory/osx/Install_resources/English.lproj/ReadMe.txt, buildfactory/osx/Install_resources/Italian.lproj/ReadMe.txt, buildfactory/osx/iceberg/FreePOPs/FreePOPs.packproj: updated iceberg project (gareuselesinge)
- buildfactory/osx/start-stop-freepopsd: start script for osx (gareuselesinge)
- buildfactory/win/freepops.nsi.in: fixed missing config.lua in win32 installer (gareuselesinge)
- config.h: 0.2.7 (gareuselesinge)
- config.lua, src/lua/yahoo.lua: added yahoo.co.nz (gareuselesinge)
- config.lua: Added royal.net (russell822)
- config.lua: Added yahoo.com.my as a domain (russell822)
- configure.sh, modules/modules, modules/src/portablesocket_lua/interface, modules/src/portablesocket_lua/psock.lua, modules/src/portablesocket_lua/psock_lua.c, modules/src/portablesocket_lua/psock_lua.h, modules/src/portablesocket_lua/psock_lua.luadoc, modules/src/subscribed, src/Makefile, src/lua/popforward.lua, src/luabox.c, src/luabox.h: added luasocket to the source tree (gareuselesinge)
- configure.sh, modules/src/luasocket/luasocket-2.0.2.diff: fixed Makefile=makefile issue on osx with case insensitive filesystem, and configuration script for static build (gareuselesinge)
- configure.sh, scripts/compile-expat-universal.sh, src/Makefile: some fixes for osx (gareuselesinge)
- configure.sh: HAVE_CONFIG_H always defined (gareuselesinge)
- configure.sh: configure.sh is not bash dependent any more (gareuselesinge)
- configure.sh: simplified osx configuration (gareuselesinge)
- modules/src/base64_lua/base64_lua.c, modules/src/crypto_lua/crypto_lua.c, modules/src/getdate_lua/getdate_lua.c, modules/src/log_lua/log_lua.c, modules/src/luafilesystem/luafilesystem-1.0b.diff, modules/src/mlex_lua/mlex_lua.c, modules/src/pop3server_lua/pop3server_lua.c, modules/src/portablesocket_lua/psock_lua.c, modules/src/regularexp_lua/regularexp_lua.c, modules/src/session_lua/session_lua.c, modules/src/stats_lua/stats_lua.c, modules/src/stringhack_lua/stringhack_lua.c: luaL_openlib -> luaL_register (the former is deprecated in lua5.1) (gareuselesinge)
- modules/src/browser_lua/browser.lua: Changes made for support with yahoo. (russell822)
- modules/src/browser_lua/browser.lua: Update Clean2Slash to make it mroe efficient. (russell822)
- modules/src/browser_lua/cookie.lua: Deal with cookies that expire after 2038. (russell822)
- modules/src/browser_lua/cookie.lua: Update to cookie to handle expiration dates past 2038. (russell822)
- modules/src/browser_lua/cookie.lua: browser with > 2030 timestamp (gareuselesinge)
- modules/src/browser_lua/cookie.lua: missing cleanup for expired cookies added (gareuselesinge)
- modules/src/luasocket/luasocket-2.0.2.diff, modules/src/luasocket/luasocket-2.0.2.tar.gz: added lusocket (gareuselesinge)
- modules/src/mimer_lua/mimer.lua: added expansion of entities &#XX in mimer.lua (gareuselesinge)
- modules/src/mimer_lua/mimer.lua: file_name is the one returned by the web server or k (gareuselesinge)
- modules/src/mimer_lua/mimer.lua: new mimer with functions from Andre and fixes from russell (gareuselesinge)
- modules/src/oscompatibility/win32_compatibility.c, modules/src/oscompatibility/win32_compatibility.h: inet_aton already in luasocket, renamed (gareuselesinge)
- modules/src/pop3server/popstate.c: fixed popstate.c usage of realloc (gareuselesinge)
- scripts/compile-expat-universal.sh, scripts/compile-fltk-universal.sh: simpler scripts to build expat and ftk for osx (gareuselesinge)
- src/Makefile: fix for osx compilation with expat (gareuselesinge)
- src/lua/abv.lua, src/lua/excite.lua, src/lua/fastmail.lua, src/lua/hotmail.lua, src/lua/juno.lua, src/lua/libero.lua, src/lua/mail2world.lua, src/lua/netscape.lua, src/lua/orange.lua, src/lua/tin.lua: math.mod -> math.fmod (gareuselesinge)
- src/lua/abv.lua: Fixed broken pattern to detect messages in the mail folder. (russell822)
- src/lua/abv.lua: Reacted to changes at the abv site. (russell822)
- src/lua/aggregator.lua: aggregator updated (gareuselesinge)
- src/lua/aggregator.lua: new aggregator plugin (gareuselesinge)
- src/lua/aol.lua: Added non-Inbox support. (russell822)
- src/lua/aol.lua: Fixed a problem where the login wasn't fully succeeding. (russell822)
- src/lua/aol.lua: Fixed login issue. (russell822)
- src/lua/aol.lua: Turn off log raw. (russell822)
- src/lua/aol.lua: Updated the plugin to keep up with AOL's changes. (russell822)
- src/lua/excite.lua, src/lua/fastmail.lua, src/lua/juno.lua, src/lua/libero.lua, src/lua/mail2world.lua, src/lua/netscape.lua, src/lua/orange.lua, src/lua/yahoo.lua: versions bumped for the mod->fmod transition (gareuselesinge)
- src/lua/excite.lua: Fixed an issue where a trailing CRLF was not in the message causing the connection to timeout. (russell822)
- src/lua/fastmail.lua: ARoberts Submission - Reaction to changes to the deletion form.http://freepops.diludovico.it/showthread.php?t=6919 (russell822)
- src/lua/fastmail.lua: Fixed a regex issue that some users were seeing. (russell822)
- src/lua/gmail.lua: Added the ability for the gmail plugin to enable the forwarding option. To use this functionality, add ?enableforward=<email address>. On the QUIT command, this change the option. (russell822)
- src/lua/gmail.lua: Added the ability to have the plugin enable the IMAP option in the settings. Use the flag enableimap=1. (russell822)
- src/lua/gmail.lua: Merged in Eion's change. (russell822)
- src/lua/gmail.lua: Submitted by ecuadorgr:Fixed login problem. Set message STAT order to oldest to newest.Implemented maxmsgs which works like hotmail. (russell822)
- src/lua/hotmail.lua, src/lua/orange.lua: bumped verion number to make 0.2.6 users download them (gareuselesinge)
- src/lua/hotmail.lua, src/lua/orange.lua: these two plugins were updated only in the updates/ directory (gareuselesinge)
- src/lua/hotmail.lua: Add PCNOM's fix for Japanese characters (cdmack)
- src/lua/hotmail.lua: Attempt to make retr and top work the same way. See http://freepops.diludovico.it/freepops-english/6612-problem-within-hotmail-module-commands-retr-top-behaves-differently.html (russell822)
- src/lua/hotmail.lua: Fix for live light next page detection tha has changed in hotmail. (cdmack)
- src/lua/hotmail.lua: Fixed minor bug. (russell822)
- src/lua/hotmail.lua: Handle escaped characters, better session handling and start of monitoring work. (russell822)
- src/lua/hotmail.lua: Merged in Paco's changes to a classic account going. (russell822)
- src/lua/hotmail.lua: Merged in a couple of issues found by the forum related to msn and live light not deleting msgs. Thanks to SBI and maxgallina.http://freepops.diludovico.it/showthread.php?t=6892 (russell822)
- src/lua/hotmail.lua: Some cleanup - submitted by BZorro (russell822)
- src/lua/hotmail.lua: Update of pattern to determine the number of messages in a folder. This might solve issues with people having their messages re-downloaded on occasion. (russell822)
- src/lua/juno.lua: Added a flag called noattachments=1|0 that will cause the plugin to ignore attachments. Fixed a problem where the size of messages in stat sometimes is negative. (russell822)
- src/lua/mailcom.lua: Added the domain of royal.net (russell822)
- src/lua/mailcom.lua: Fixed issue where quoted-printing encoding was causing issues with html emails. (russell822)
- src/lua/popforward.lua: popforward ported to the new psock interface (gareuselesinge)
- src/lua/supereva.lua: new version by viruzzo (gareuselesinge)
- src/lua/supereva.lua: supereva version from Viruzzo (gareuselesinge)
- src/lua/tin.lua: added fix by nvhs (gareuselesinge)
- src/lua/tin.lua: bumped version number (gareuselesinge)
- src/lua/tin.lua: delete wrong Content-Transfer-Encoding (nvhs)
- src/lua/tin.lua: fix for character set for some text mail (nvhs)
- src/lua/yahoo.lua: Added functionality to deal with uidl's changing in the new mail ui. (russell822)
- src/lua/yahoo.lua: Added support for the "mc" interface. Added support through Kevin's changes for attachments in the "new" interface. (russell822)
- src/lua/yahoo.lua: Some better error handling. (russell822)
- src/lua/yahoo.lua: added yahoo.com.nz (gareuselesinge)
- src/lua/yahoo.lua: yahoo.com.nz -> yahoo.co.nz (gareuselesinge)
- src/luabox.c: preload entry and require entry can have different names, like socket.core andsocket (gareuselesinge)
- updater-ui/fltk/main.cxx: fixed invalid cast (gareuselesinge)
- updater-ui/zenity/freepops-updater-zenity.svg: added gnome icon (gareuselesinge)
- updater-ui/zenity/freepops-updater-zenity: Added further error popups (maxadamo)
- updater-ui/zenity/freepops-updater-zenity: Added further progress bar when downloading metadata (maxadamo)
- updater-ui/zenity/freepops-updater-zenity: Changed all messages to console in to zenity popups (maxadamo)
- osx build cleaned up to work on 10.5 with 10.4 SDK universal
- added UTF8 encode/decode function to momer (thanks André Martin)
- luasocket added to the preloaded modules, psock reimplemented on top of that
- no more useless backup config.lua in windows package
- added Debian package freepops-updater-gnome using zenity
- freepopsd -e updater returns 1 on failure
- freepops-updater-zenity added (thanks Massimiliano Adamo) 
- updated win32 gnutls version to 2.2.5 and curl to 7.18.1
- simplified cross build using Debian equivs
- added expansion of &#XX entities in mimer.lua (thanks André Martin)
- replaced math.mod with math.fmod (the former is deprecated in lua5.1)
- use luaL_register instead of luaL_openlib (thanks Daniel Black)
- use /bin/sh in configure (thanks Spil)
- removed bad cast from fltk/main.cxx
- fixed a bug in popstate.c that was calling realloc(NULL,0)
- added yahoo.co.nz (thanks Picov)
- committed Viruzzo version of supereva, thanks Lance for reporting this version was working
- added missing cleanup for expired cookies (thanks RISKO Gergely)
17/11/2007 0.2.6
- Makefile, buildfactory/Makefile, modules/Makefile, modules/modules, modules/src/Makefile.template, modules/src/Makefile.template-contrib, modules/src/subscribed: removed luadoc, added prepare target to decompress all contrib libraries (gareuselesinge)
- buildfactory/Makefile, buildfactory/osx/iceberg/FreePOPs/FreePOPs.packproj.in: osx metadata now contains @@VERSION@@ that is replaced at build time with the actual versione number (gareuselesinge)
- buildfactory/Makefile, src/lua/monitor.lua: default win32 build is openssl, fixed monitor bugs (gareuselesinge)
- buildfactory/Makefile: added patch by blackmoon for ubuntu 6.x (gareuselesinge)
- buildfactory/Makefile: fixed makefile for dist-tgz (gareuselesinge)
- buildfactory/debian/changelog, buildfactory/debian/po/pt_BR.po: added pt_BR debian templates localization (gareuselesinge)
- buildfactory/debian/control, buildfactory/osx/Install_resources/English.lproj/ReadMe.txt, buildfactory/osx/Install_resources/Italian.lproj/ReadMe.txt, dailybuild.sh: ... (gareuselesinge)
- buildfactory/debian/control: added luadoc as build-depend-indep (gareuselesinge)
- buildfactory/openwrt/S50freepopsd, buildfactory/openwrt/freepops: script for kamikaze (gareuselesinge)
- buildfactory/osx/Install_resources/English.lproj/ReadMe.txt, buildfactory/osx/Install_resources/Italian.lproj/ReadMe.txt, buildfactory/osx/iceberg/FreePOPs/FreePOPs.packproj, buildfactory/osx/iceberg/FreePOPs/FreePOPs.packproj.in: updated iceberg files to 0.2.6 (gareuselesinge)
- buildfactory/win/freepopsd.vbs: minor fixes (gareuselesinge)
- config.h, config.lua, modules/modules, modules/src/pop3server/popserver.c, modules/src/stats_lua/stats_lua.c, modules/src/stats_lua/stats_lua.h, modules/src/subscribed, src/Makefile, src/freepops.c, src/lua/monitor.lua, src/luabox.c, src/luabox.h: added simple stats module and lua binding. a proof of concept monitor pluginis there, calling from the comman line contacts the running freepopsdproducing a report email. more stats have to be added. no use of ffi for themoment, all possible types for stats get_* functions are putted togetherin a huge switch sattement. (gareuselesinge)
- config.lua, src/lua/orange.lua: added orange.co.uk (gareuselesinge)
- config.lua, src/lua/supereva.lua, src/lua/tin.lua: fixed attachments in tin and supereva, added dada.net (gareuselesinge)
- config.lua: Add yahoo.co.id as a domain mapping. (russell822)
- config.lua: Added btinternet.com as a mapping to yahoo. (russell822)
- config.lua: Added domains for orange, abv, softhome and excite. (russell822)
- config.lua: Added yahoo.com.au. (russell822)
- config.lua: Removed lycos.com (russell822)
- configure.sh, modules/src/base64/base64.c, modules/src/mlex/mlex.c, modules/src/pop3server/popstate.c: fixed some warnings given by -Wextra, warnings left are false positive (gareuselesinge)
- doc/freepopsd.1: added documentation for statistics and -c (gareuselesinge)
- doc/manual/manual-it.tex, doc/manual/manual.tex, src/lua/freepops.lua, src/lua/popforward.lua: made everithing work for the balancing stuff (gareuselesinge)
- doc/manual/manual-it.tex, doc/manual/manual.tex: fixed manual (gareuselesinge)
- modules/Makefile: moved lua doc generation to luadoc 3.0 (gareuselesinge)
- modules/modules, modules/src/pop3server/popserver.c, modules/src/stats_lua/stats.h, modules/src/stats_lua/stats_lua.c, modules/src/stats_lua/stats_lua.h, modules/src/subscribed, src/Makefile, src/freepops.c, src/lua/monitor.lua, src/lua/tin.lua: stats support is now much easier to extend and the C code is cleaner. 4standard hook (ony 2 of them set) have been added together with command lineswitches to turn them on/off. the monitor plugin print all what it can inalphabetic order. (gareuselesinge)
- modules/src/base64_lua/base64_lua.luadoc, modules/src/commonimpl_lua/common.lua: better documentation (gareuselesinge)
- modules/src/browser_lua/browser.lua, modules/src/pop3server/popserver.c, modules/src/session/session.c, modules/src/session/session.h, modules/src/stats_lua/stats.h, modules/src/stats_lua/stats_lua.c, src/freepops.c, src/lua/freepops.lua, src/lua/monitor.lua: added a bunch of parameters to freepops: - conffile - pwd for stats - stats hooksfixed monitor pluginfixed lua bindings for statsall env variables are called FREEPOPS* (gareuselesinge)
- modules/src/browser_lua/browser.lua: Fix submitted by Kevin Edwards: (russell822)
- modules/src/browser_lua/browser.lua: replaced table.getn with # (gareuselesinge)
- modules/src/dictionary/dictionary.c, modules/src/dictionary/dictionary.h: sane api that means it can be reused for something else (gareuselesinge)
- modules/src/dpipe_lua/dpipe_lua.c: removed bad printings and sleep (gareuselesinge)
- modules/src/luasoap/soap.lua: replaced table.getn with # since the former is deprecated in lua5.1 (gareuselesinge)
- modules/src/mimer_lua/mimer.lua, src/lua/supereva.lua: supereva plugin updates (gareuselesinge)
- modules/src/mimer_lua/mimer.lua: TENTATIVE merge with omimer, only stuff that seems reasonable has been included (gareuselesinge)
- modules/src/mimer_lua/mimer.lua: replaced a table.getn with next (gareuselesinge)
- modules/src/mimer_lua/mimer.lua: replaced some table.getn with # (gareuselesinge)
- modules/src/pop3server/popserver.c, modules/src/pop3server/popstate.c: removed warnings using gcc __attribute__ ((unused)) (gareuselesinge)
- modules/src/pop3server/popserver.c: moved to the new statistics api (gareuselesinge)
- modules/src/regularexp_lua/regularexp_lua.luadoc: used # instead of table.getn in doc (gareuselesinge)
- modules/src/session/session.c, modules/src/session/session.h: new sessions implementations on top of the new API for the dictionary data structure. session still hopes in well behaved plugins (gareuselesinge)
- modules/src/stats_lua/stats.h, modules/src/stats_lua/stats_lua.c: code refactor and addition of array/modulo counters (gareuselesinge)
- modules/src/winsystray/winsystray.c: added patcch to handle taskbar recreation (gareuselesinge)
- scripts/close_ch.awk, scripts/close_ch.sh, scripts/cvs2changelog.lua, scripts/cvschpretty.lua, scripts/modified.lua: new changelog generator (gareuselesinge)
- scripts/cvs2changelog.lua, scripts/escaped.lua: table.getn(t) -> #t (gareuselesinge)
- scripts/cvschpretty.lua: here we are for 0.2.5 (gareuselesinge)
- src/freepops.c: the session module now needs initialization (gareuselesinge)
- src/lua/abv.lua, src/lua/excite.lua, src/lua/orange.lua, src/lua/softhome.lua: Make abv, orange, excite and softhome official plugins. (russell822)
- src/lua/abv.lua: Fixed problem with login failing. (russell822)
- src/lua/aol.lua: Added support for the spam folder. (russell822)
- src/lua/aol.lua: Changed the AOL plugin to use the "classic" web interface. (russell822)
- src/lua/aol.lua: Small update to get logging in back working. (russell822)
- src/lua/criticalpath.lua: removed criticalpath as russells said (gareuselesinge)
- src/lua/davmail.lua, src/lua/gmail.lua: table.getn -> # (gareuselesinge)
- src/lua/fastmail.lua: Fixed a syntax error. (russell822)
- src/lua/fastmail.lua: React to Fastmail's sync feature update. (russell822)
- src/lua/hotmail.lua: Added the allowunsafe paramater. (russell822)
- src/lua/hotmail.lua: Added the domain parameter for those with a hosted hotmail domain and fixed the infinite loop issue with live light. (russell822)
- src/lua/hotmail.lua: Fix a slew of issues related to changes made by Hotmail and bugs that finally became issues. (russell822)
- src/lua/hotmail.lua: Fix for classic logic problems for extra login step (cdmack)
- src/lua/hotmail.lua: Fix for non English versions of hotmail with slightly different content in HTML (cdmack)
- src/lua/hotmail.lua: Fixed pattern for retreiving folders IDs to include n param for Live Light (cdmack)
- src/lua/hotmail.lua: Fixed some nagging issues:- The "Today" page setting should no longer affect operation- emptytrash setting in live full is fixed- maxmsgs in live light is fixed- msn login issues with bad syntax - potentially fixed- stat after 8 hours - potentially fixed (russell822)
- src/lua/hotmail.lua: Merged in user submitted change and fixed a bug that was causing issues with properly ending messages. (russell822)
- src/lua/hotmail.lua: Patch to my patch. The last one overwrote cdmackie's changes and introduced a deletion bug. (russell822)
- src/lua/libero.lua: removed printing (gareuselesinge)
- src/lua/mailcom.lua: Added a parameter to force the login to use the mail.com login page. (russell822)
- src/lua/mailcom.lua: Fixed the issue with mail.com not logging in. (russell822)
- src/lua/monitor.lua: better report and better error messages (gareuselesinge)
- src/lua/orange.lua: increased version number (gareuselesinge)
- src/lua/orange.lua: removed some table.getn in favour of some # (gareuselesinge)
- src/lua/popforward.lua: added documentation of the new host function (gareuselesinge)
- src/lua/popforward.lua: host can be a function that will be called with the username (gareuselesinge)
- src/lua/squirrelmail.lua: removed line adding attachments both as named and unnamed, it shouldn't be needed now that the mimer is fixed (gareuselesinge)
- src/lua/tin.lua: ADD <html><body> tag for more valid html (nvhs)
- src/lua/tin.lua: ADD patch by galdom (nvhs)
- src/lua/tin.lua: Added patch by Mauro Molinari for the limit option and some fixes for old clubnet accounts (gareuselesinge)
- src/lua/tin.lua: FIX &amp (nvhs)
- src/lua/tin.lua: FIX TOP (nvhs)
- src/lua/tin.lua: FIX characterset (nvhs)
- src/lua/tin.lua: FIX nil body_html error FIX lotus notes image mail error FIX attch mail error. (nvhs)
- src/lua/tin.lua: Fix cid==nil error (nvhs)
- src/lua/tin.lua: Fix for playn text mail without content type; Fix a character in body_html (nvhs)
- src/lua/tin.lua: add patch by Dylan666 allowing more accents (gareuselesinge)
- src/lua/tin.lua: adde patch by nvs (gareuselesinge)
- src/lua/tin.lua: added patch by nvhs, to fix bad html (gareuselesinge)
- src/lua/tin.lua: added patch by nvs for attached emails (gareuselesinge)
- src/lua/tin.lua: added patch by nvs for images as attachments (gareuselesinge)
- src/lua/tin.lua: added real patch by dylan666 (gareuselesinge)
- src/lua/tin.lua: back to 0.2..8 with last patch (nvhs)
- src/lua/tin.lua: fix empty mail error (nvhs)
- src/lua/tin.lua: fix for html mail downloaded as plain text (nvhs)
- src/lua/tin.lua: fix for mail with many image (nvhs)
- src/lua/tin.lua: fix grave character bug (nvhs)
- src/lua/tin.lua: fix image support and &amp (nvhs)
- src/lua/tin.lua: fix some special character of plain text mail (nvhs)
- src/lua/tin.lua: fix version (nvhs)
- src/lua/tin.lua: indented one line (gareuselesinge)
- src/lua/tin.lua: now can see image in the mail (nvhs)
- src/lua/tin.lua: patch by nvhs to better handle attachements (gareuselesinge)
- src/lua/tin.lua: restored dylan666 patch after nvhs commit.increased version number (gareuselesinge)
- src/lua/tin.lua: take mail form idden tag msg in which rebuild it from webpage. (nvhs)
- src/lua/tre.lua: removed line adding attachments as bot named and unnamed (gareuselesinge)
- src/lua/yahoo.lua, src/lua/yahoo.lua: Fixed an error that caused an NPE. (russell822)
- src/lua/yahoo.lua: Add yahoo.co.id as a domain. (russell822)
- src/lua/yahoo.lua: Apply Kevin Edward's change to detect and handle the "upgrade" login screen. (russell822)
- src/lua/yahoo.lua: Changed the version to 0.1.9m. (russell822)
- src/lua/yahoo.lua: Fixed the view flag and the markunread flag as they were no longer working. (russell822)
- src/lua/yahoo.lua: Merged in Kevin Edwards' change. (russell822)
- updater-ui/fltk/Makefile, updater-ui/fltk/main.cxx, updater-ui/fltk/updater.cxx, updater-ui/fltk/updater.fl: go to report after downloading data (gareuselesinge)
- updater-ui/fltk/main.cxx: tentative fix for win32 different argv (gareuselesinge)
- updater-ui/fltk/updater.cxx, updater-ui/fltk/updater.fl: after metadata downloading the next button is pressed automatically (gareuselesinge)
- added -c switch to specify a configuration file
- added staistics facilities and a monitor plugin to read them
- removed criticalpath.lua
- nvhs patch for images as attachments
- thanks taba.dvd for reporting the patch by nvhs to fix html in tin.lua 
- osx metadata now reportthe correct version information
22/06/2007 0.2.5
- fixed an ancestral wrong compilation flag for regexes, no more REG_NEWLINE
- hotmail.lua: bumped to make them released again (gareuselesinge)
- supereva.lua: supereva plugin updates (gareuselesinge)
- libero.lua: fixed bug for attachments (gareuselesinge)
- libero.lua: changed pattern matching (gareuselesinge)
- hotmail.lua: Update the logout url and try to handle an expired session better. (russell822)
- libero.lua: bumped to make it released agaiN (gareuselesinge)
- supereva.lua, tin.lua: fixed attachments in tin and supereva, added dada.net (gareuselesinge)
- libero.lua: fixed mlex (gareuselesinge)
- aol.lua: Changed the AOL plugin to use the "classic" web interface. (russell822)
- added patch by Viruzzo to mimer and supereva.lua
- moved bpo build to etch
26/05/2007 0.2.4
- updater.lua: better error reporting if metadata is nil (gareuselesinge)
- mailcom.lua: Reaction to a change on the form of mail.com's main page. (russell822)
- hotmail.lua: Fixed the issue with messages not being marked as read. (russell822)
- some more fixes from gentoo (thanks Daniel Black)
- updated debian localizations and fixes to the package description
- make clean cleans really! all
- popstate.c now allows to set mailmessage size to 0
- openwrt: the updater process is started after a sleep of 30s to wait ppp0 to be up, the right solution is to use cron... maybe
- updater.lua better error reporting if no metadata available
11/05/2007 0.2.3
- es: *** empty log message *** (lisar314)
- fastmail.lua: Fixed login form changed. Submitted by forum user 12769336123 (russell822)
- hotmail.lua: A large collection of fixes. Support for the latest code base of Live mail (M10, I believe); support for the live light or classic look; and assorted bug fixes reported by users. (russell822)
- updater.lua: updater ported to the new light protocol (gareuselesinge)
- yahoo.lua: Update to crumb pattern for beta interface. Submitted by Przemyslaw Wroblewski (russell822)
- aol.lua: Updated plugin to handle login changes by AOL. (russell822)
- yahoo.lua: Add support for yahoo.ie (russell822)
- yahoo.lua: Update to crumb pattern for beta interface. Updated the version. Submitted by Przemyslaw Wroblewski (russell822)
- juno.lua: Replaced the table.setn calls with table.insert calls. (russell822)
- juno.lua: Added code to force juno/netzero to log out every 4 hours. (russell822)
- updater.lua: bomped version (gareuselesinge)
- yahoo.lua: Minor fix to remove table.setn and to handle folders with spaces in them. (russell822)
- integrated gentoo patch to fix gcrypt initialization: http://sources.gentoo.org/viewcvs.py/*checkout*/gentoo-x86/net-mail/freepops/files/freepops-0.2.2-gcrypt.patch; thanks Daniel Black for submitting the patch and Przemyslaw Wroblewski for reporting bug http://bugs.gentoo.org/show_bug.cgi?id=177682
reporting the bug Przemyslaw Wroblewski 
- moved all the updater code to the new and small XML metadata file produced by the CGI http://freepops.org/modules.php written by alessiofender
- added /etc/init.d openwrt scripts
- added flags for openwrt in configure.sh
- configure.sh variables can be partially overridden setting env variables
- better fmessage osx utility
31/03/2007 0.2.2
- updater.lua: fix @updater (gareuselesinge)
- tin.lua: removed obsolete code, attachement should now work (gareuselesinge)
- fixed freepops-updater-fltk (thanks blackmoon)
- changed CORE definition in updater-dialog (thanks taganaka)
- added googlemail domain (thanks beermatt)
- fixed manual (Thanks fgiunchedi for reporting the bug)
25/03/2007 0.2.1
- fixed fltk interactive updater
- es, fr: Added link to the Fedora package page (alessiofender)
- es, fr: Added distro icons (alessiofender)
- README.FPM.en.txt, README.FPM.it.txt, freepopsd.vbs: reorganization of buildfactory mess, now only the upstream supported builds arein the main Makefile. This Makefile includes at the end other Makefilesavailable in subdirs like gentoo/openbsd. All fils relative to distros are intheis relative directory, except the jail building script that should be movedin scripts. (gareuselesinge)
- hotmail.lua: Get msn working again. (russell822)
- hotmail.lua: Fix live mail not retreiving messages. (russell822)
- yahoo.lua: fixed wrong require and module declaration statement. yahoo should beworking now. (gareuselesinge)
- updater.lua: added local_path_old to plugin metadata: (gareuselesinge)
- hotmail.lua: Replace a string.find with string.match. (russell822)
- freepops.lua, updater.lua: updater now supports fetching all metadata in one step.better prettyprinting of tables in luay.c to ease debuggingfltk, lua and shell updater fixed to use all-in-one metadata fetching facility.configure.sh can now se the path for libexpat.a on osx (no more hardocded)config.h bumped to 0.2.1 (gareuselesinge)
- hotmail.lua: Fixed broken 0.1.6l (russell822)
- yahoo.lua: replace a string.find with string.match (russell822)
- updater.lua: tentative fix to updater to support batch and interactive mode (gareuselesinge)
- housekeeping in buildfactory, INSTALL, README and BUILD
- moved win32 gnutls to 1.6.1
- moved win32 openssl to 0.9.7m
- fixed osx startup script (alessiofender, ncocchiaro)
- fixed soap module declaration
- fixed win32 uninstall procedure
4/03/2007 0.2.0
- new osx .app
- new osx installer made using iceberg 
- es: Binary images in Spanish (lisar314)
- es, fr: removed a bunch of solete repositories in download.php (gareuselesinge)
- es: traslated images es (gareuselesinge)
- es, fr: removed rpm generic support that was broken and not maintainable (gareuselesinge)
- fixed debian package, the graphical updater is in a separate package to not require X for the simple daemon. Added and entry in the menu system using su-to-root for the updater with fltk 
- added freepops-updater-dialog that provides a textual interface to the updater
- added freepops-updater-fltk to call freepopsd -e updater.lua fltk, a special backend that runs the graphical updater
- fixed luabox to use package.preload and require for C modules 'statically' linked 
- addded the special 'fltk' backend that starts the fltk gui (since there is
no lua binding for fltk, the main has to be in C and calls lua funtions when
needed, as the dialog frontend does, but not calling them internally since the
C main is a .so the is loaded by freepops and the run() function is called,
and thus all the updater lua API can be accessed directly)
- completely reorganized the updater code: updater_(cvs|php).lua are the two backends that provide the same interface, updater_common.lua provides some common helpers for both backends and the mangler for using the backends from the command line and the documentation, updater.lua is now in src/lua/ as all plugins and uses the cvs backend and provides a minimal main() that allows to call the backends from the command line and receiving their output mangled by updater_common.  - added documentation for the -n switch
- added to configure.sh options to use system lua, luacurl, luaexpat and luafilesystem
- moved all lua modules to lua5.1 package system with package.seall
- moved all plugins and modules to lua5.1 string.match
- updated luabox.c to lua5.1 way of loading standard libraries (STOP the gc)
- libero.lua: mlex to identify the message list enhanced once again
- added atlantide.it domain to tin.lua (Thanks to Ivan Piasini)
- added support for foo@plugin.lua when plugin.lua is in the UNOFFICIAL directory
- added patch from Rostislav Kandilarov to create /dev/random and /dev/urandom in the chroot jail
- fixed the manpage for the command line option -x
- fixed the manual for the command line option -x
- changed the command line description for -x
- fixed plugin2xml.lua to generate XML also for modules
- fixed luay.c, luay_callv used not to set the returned values
- fixed homepage_updater to handle modules (and not only plugins)
- added MODULE_* metadatas to every module
18/06/2006 0.0.99
- es, fr: more work on patches (gareuselesinge)
- juno.lua: Fixed an issue where the server url once logged in wasn't being correctly identified. (russell822)
- mailcom.lua: Added handling for mail.org (russell822)
- mailcom.lua: Added support for mexico.com (russell822)
- hotmail.lua: Reinstated the 0.1.5f functionality, plus added support in the live accounts for the folder name of Junk to always resolve to the junk e-mail folder. (russell822)
- hotmail.lua: If the folder was set to Live mail's junk folder, mail wasn't being picked up. (russell822)
- tin.lua: remove trailing spaces and correctly show special characters from plaintext messages. (alessiofender)
- hotmail.lua: Merged the MSN fix into the hotmail fix. (russell822)
- gmail.lua: A fix for the login change by Gmail. Submitted by Jbobowski, (russell822)
- libero.lua: Updated webmail server addresses (alessiofender)
- yahoo.lua: Fix for a nil pointer problem with the beta of yahoo. (russell822)
- libero.lua: Updated the version number (alessiofender)
- hotmail.lua: Reverting Hotmail back to 0.1.5e so that it works with msn and live hotmail. (russell822)
- tin.lua: fixed encoding problems (alessiofender)
- yahoo.lua: Previous checkin was broken. (russell822)
- mailcom.lua: The modification forces the session to logout and clear every 4 hours. (russell822)
- mailcom.lua: Reaction to changes of the header format on the mail.com website. (russell822)
- tin.lua: Correctly handle plain text messages (alessiofender)
- hotmail.lua: Updated the login function to work through mail.live.com. (russell822)
- mailcom.lua: An attempt to fix the session expired problem. (russell822)
- aol.lua: Reaction to changes in the login process by AOL/AIM. (russell822)
- hotmail.lua: Another change to adapt to hotmail's login page change. (russell822)
- hotmail.lua: Temporary solution to get msn.com addresses working again. (russell822)
- hotmail.lua: An update to the change in interface with LIVE. (russell822)
- hotmail.lua: Turn off raw logging. (russell822)
- tin.lua: You must also update mimer.lua for this patch to take effect (alessiofender)
- tin.lua: added @alice.it and @tim.it
- tin.lua: fix to use new webmail address (Thanks to rudygonzo)
- tin.lua: correctly handle plain text messages
- added fixes for Mac OS X 10.2 Jaguar
- fixed paths for launchd plists on Mac OS X Tiger (Thanks to jacobolus)
- fixed a bug in mimer.lua about the Content-type header definition
11/03/2006 0.0.98
- fixed a bug in cookie.lua about the capture of cookie names (Thanks to
Matteo Turconi)
- documentation of all lua modules is now generated (with last release some
lua placed in subdirs were missing)
- added password field to the key()/hash() function of a bunch of lua plugins.
This fixes a potential security problem.
- added Kevin Edwards patch to altsocklib.c (should definitively fix the
looping problem)
- added support for backports.org in buildfactory/Makefile
- fixed a bug in browser.lua if the body of a redirect is empty (thanks loprix)
04/02/2006 0.0.97
- yahoo.lua: Added support for the new Yahoo interface. (russell822)
- es: *** empty log message *** (lisar314)
- es: Version 0.96 (lisar314)
- tre.lua: bumped required version to 0.0.97 (gareuselesinge)
- gmail.lua: added zibo patch (gareuselesinge)
- yahoo.lua: Remove the quoted-printable encoding header from messages since Yahoo does the decoding on its servers. (russell822)
- gmail.lua, squirrelmail.lua, yahoo.lua: Updated the version and require version (russell822)
- gmail.lua, squirrelmail.lua, tre.lua, yahoo.lua: migration of all lua code
to the lua5.1 module system
- log.c partially rewritten to make output more comfortable
- fixed manual according to the 'require' adoption (gareuselesinge)
- updated supereva plugin (Thanks Visioning)
- added support for 'installation' file (like the 'interface' one) to specify in a sinple way where to install files (see the browser_lua modules for example)
- reorganized some modules using a non flat structure (browser, lxp, soap) 
- manual updated concerning the new lua5.1 module system
- some fixes to Makefiles needed to support a non-flat LUA directory
- moved all official plugins to the lua5.1 module system (using 'require')
- moved all LUA modules to the lua5.1 module system (using 'module')
- moved freepops.lua to the lua5.1 module system (old freepops.dofile is deprecated and the globals loadlib and loadfile are not redefined anymore).  freepops.dofile should be used only by the C core, while the LUA modules should user 'module' to declare a module and 'require' to import one. To manually load an external file freepops.find and loadfile/loadlib can be used.  dofile is redefined using first require, then the old freepops.dofile.
- moved all C modules to the lua5.1 module system (unsing legacy header compat-5.1.h)
- implemented luasoap/http.lua on top of browser.lua and not luasocket
- updated luaexpat to 1.0.1
- added luasoap
- added compat-5.1
19/11/2005 0.0.96
- added a fix for strerror_r on OSX
- added zibo86 https trough proxy patch (many thanks!)
- es: *** empty log message *** (lisar314)
- fr: *** empty log message *** (fvancaen)
- freepopsd.vbs: Updated version number (alessiofender)
- es, fr: fix (gareuselesinge)
- added max count for bad pop3 commands (10) befor connection closing. Should
easily avoid the problem of clients looping sending \r\n that wastes CPU.
- popserver.c is now case insensitive (as RFC says)
- added yahoo.dk to config.lua
- fixed typos in SERVICE.it.txt and SERVICE.en.txt
- fixed bad stas in tin.lua
- fixed socklen_t undefined bug in Mac OS X 10.2
- fixed an ancient bug in the logger initialization call (syslogmode was one
only with -v and not -w)
- fixed \r and not \r\n in tin.lua
- fixed mail2world url
- restored pthread-win32 since they are not broken
- fixed a bug in gcrypt initialization
- atted to the source tree a recent pthread-win32 release (that seems broken)
- added thread callbacks initialization for gcrypt
- fixed the FreePOPs website link in the Windows start menu shortcut
- freepopsd.vbs: added -update option to run the updater prior to run FreePOPs
26/10/2005 0.0.95
- criticalpath.lua is now an official plugin (thanks russell822)
- fastmail.lua is now an official plugin (thanks russell822)
- removed some ERROR_ABORT from mlex.c
- libero.lua: mlex to identify the message list enhanced again
- yahoo.lua: Needed to deal with some scoping issues with local variables and how it relates to the updater. (russell822)
- yahoo.lua: Fixed the markasunread functionality which wasn't working. (russell822)
- es: *** empty log message *** (lisar314)
- yahoo.lua: Rewrite of the delete functionality (russell822)
- gmail.lua: Reaction to a change by gmail. (russell822)
- es: fixed ending tag typo (alessiofender)
- yahoo.lua: Added support for btinternet and talk21 (russell822)
- es, fr: fix (gareuselesinge)
- fr: changed html entities to corresponding characters (alessiofender)
- yahoo.lua: Fixed emptrytrash and emptybulk (russell822)
- es, fr: added kubuntu links (gareuselesinge)
- es, fr: added sarge link to download-linuxadded frank to aboutremoved "sf has broken statistics" (gareuselesinge)
- es: removed md5sumsfiles from es FAQ (gareuselesinge)
- es, fr: News splitted on more pages (alessiofender)
- mimer now optionally get the text_encoding (default iso-8859-1) so that utf8
webmails can be threated correctly
- added get_head_and_body method to browser
- fixed a bug in httpmail.lua involving non quoted & characters in XML data
- win32 version build against gnutls and not openssl
- fixed chroot jail creation (some libs missing, thanks Gabriele Giacone)
- asses sv debconf translation
- libero.lua: new mlex to better identify the message list 
- libero.lua: the plugin chooses from more web servers
- changed predefined link for FreePOPs RSS in aggregator
- fixed chroot jail creation (/etc/freepops/config.lua was not created)
- changed debian copyright with the new FSF address
- relaxed mlex checking to not call abort but fail more gracefully
- added patch for building on Solaris (thanks Alfredo Pena)
- changed manual to GPL license to allow it to stay in Debian/etch
- init script for debian is now lsb-compliant
- changed debian init script shell to bash
- fixed some typo in xml2table.lua
13/07/2005 0.0.31
- fixed config.lua com.uk -> co.uk
- yahoo.lua: Fixed an issue where the yahoo new mail indicator wasn't being reset after a session. Also, fixed an error when a yahoo session expires and it regenerates the base url in STAT. (russell822)
- juno.lua: Added the resetheaders parameter to turn off full headers during QUIT. Also, removed the sorting options from the message list which aren't needed. (russell822)
- es: *** empty log message *** (lisar314)
- es, fr: changed gentoo (no more ebuild provided) (gareuselesinge)
- fr: *** empty log message *** (fvancaen)
- mailcom.lua: added domain 'italymail.com' to mailcom.lua plugin (alessiofender)
- added patch for libero.it (thanks Oreste Salerno)
- Gentoo init script now uses -s option to drop privileges (by Daniel Black)
- fixed std file permissions in the tarball (should help Gentoo)
- fixed debian init script
- fixed error message if you type just quit (thanks rami)
- luabind and curl_lua are now double licensed under GPL and MIT to make the
LUA community happy.
29/06/2005 0.0.30
- removed luafull
- moved xml2tex to modules/ and now is executed with -e (no more luafull)
- mail2world.lua is now official
- fixed libero multipage stat
- aol.lua, mailcom.lua: changed homepage to http://www.freepops.org (alessiofender)
- es: *** empty log message *** (lisar314)
- fr: *** empty log message *** (fvancaen)
- aol.lua: fixed aol change to aol.com domain (russell822)
- mailcom.lua: A small tweak to fix minor received: header line issues with tabs being replaced by nothing when they should be replaced by a space. (russell822)
- gmail.lua: language fixes (ncocchiaro)
- es, fr: fix (gareuselesinge)
- gmail.lua: Updated the URL's to reflect gmail's changes and changed the require version so that ssl errors don't appear from a bad curl dependency. (russell822)
- gmail.lua: Fixed few conversation bugs, and added the getnew feature. (rkattan)
- gmail.lua: Fixed few bugs due to changes in gmail web pages (rkattan)
- mailcom.lua: fixed some minor issues with lycos.com (russell822)
- added support for jubii.dk to the davmail plugin
- new .spec file for mandriva
- added much docs in freepops.lua
- added a snapshot of updater.lua
- moved -x to the new -e stuff (code cleanup in engine.c and freepops.c)
- added some patches for BEOS (thanks Michle)
- added -e to interpret a lua script
- in Windows, try to automatically change the working directory if the 
command line provides some kind of path
- fixed some stuff for debian
- moved to a complede vanilla debian box for windoz crosscompilation (the old
and good SDL crosscompiler is not used anymore. RIP)
05/06/2005 0.0.29
- es: *** empty log message *** (lisar314)
- mailcom.lua: fixed issues with operamail and ambigious match (russell822)
- fr: *** empty log message *** (fvancaen)
- aol.lua: Made a minor tweak for aim. (russell822)
- fr: convenience zip chapter (fvancaen)
- fr: freepops is now part of debian (fvancaen)
- es: fixed rss (gareuselesinge)
- es, fr: removed statistics (gareuselesinge)
- mailcom.lua: Fixed an issue with multipage stat having issues due to ad pages (russell822)
- es, fr: added zip (gareuselesinge)
- es: Updated download-linux.shtml (lisar314)
- es, fr: fixed download linux (gareuselesinge)
- gmail.lua, squirrelmail.lua, tre.lua, yahoo.lua, hotmail.lua, aol.lua, , mailcom.lua, netscape.lua: Changed FreePOPs homepage address to http://www.freepops.org (alessiofender)
- es, fr: Changed FreePOPs homepage to http://www.freepops.org (alessiofender)
- updated manual
- added juno.lua to official plugins
- cosmetic change to the pop3server, now the timout error is handled in pretty
way
- added support for PLUGIN_REGEXES in plugin header  and regex = true in config.lua
- apdated slackaware requires
- fixed debian/rules to build the manual only when requested
- fixed config.lua (added mail.org)
29/05/2005 0.0.28
- hotmail.lua: Reacted to changes from MSFT (russell822)
- es: *** empty log message *** (lisar314)
- es: fixed rss (gareuselesinge)
- aol.lua: added aim.com support (russell822)
- mailcom.lua: added supported for iname.com (russell822)
- yahoo.lua, hotmail.lua, aol.lua, netscape.lua: description translations in italian updated (ncocchiaro)
- aol.lua: fix (gareuselesinge)
- hotmail.lua: fixed a minor login issue (russell822)
- : fixed qpr_io_slave (gareuselesinge)
- mailcom.lua: Fixed an issue with usa.com (russell822)
- yahoo.lua: updated required core version (ncocchiaro)
- mailcom.lua: fixed wrong download url (gareuselesinge)
- aol.lua: fixed aim folder names (russell822)
- added cs and fr translations to debian template
- fixed bugs fordebian package (now binary-indep builds the -doc package)
- fixed hotmail.lua and aol.lua, added new netscape.lua (russell822)
- fixed long description of freepops-doc in debian/control
- fixed wrongs uk domains in config.lua
- added yahoo.dk domain to config.lua file
- fixed compilation issue (-lcurses) on suse linux enterprise server 9 (thanks
eddi)
- fixed pipe_uri and pipe_uri_with_header adding mangle_location and continue_or_return
- fixed mimer quoted_printable_io_slave that was returning a wrong len
09/04/2005 0.0.27
- hotmail.lua: A check to make sure that the stat page returned by hotmail is valid. (russell822)
- es: fixed rss (ncocchiaro)
- aol.lua: Updated AOL to handle the new interface. (russell822)
- es: *** empty log message *** (lisar314)
- hotmail.lua: Fixed a bunch of issues related to messages downloading as errors and more accurate stat counts for western languages. (russell822)
- updated some code to make gcc4.0-amd64 happy
- changed string find patten in serialize.lua (thanks flabdablet)
- fixed typos in popserver.c (ncocchiaro)
05/03/2005 0.0.26
- Mac OS X startup dir bug fixed (ncocchiaro)
- : fixed inline (gareuselesinge)
- es: *** empty log message *** (lisar314)
- yahoo.lua: fix multi-page stat and too long uidl's (russell822)
- fr: *** empty log message *** (fvancaen)
- es, fr: Updated slackware link (alessiofender)
- yahoo.lua: fixed some syntax problems and try to fix the multipage stat. (russell822)
- fr: accents (fvancaen)
- yahoo.lua: fixed crumb not being detected. (russell822)
- fr: temporary (fvancaen)
- es: fixed rss (gareuselesinge)
- yahoo.lua: Fixed a Top x 0 command (russell822)
- fixed mimer (thanks Russell)
- fixed bug in crypto_lua.c (missing #include)
30/01/2005 0.0.25
- libero.lua: Fixed to reflect webmail changes
- yahoo.lua: traduzione descrizione in italiano (ncocchiaro)
- tre.lua: another purge fix... (dpeddi)
- yahoo.lua: Fixed a variety of bugs including missing ending crlf and dealing with changing msgids (russell822)
- es, fr: changed slackware link (alessiofender)
- freepopsd.vbs: added rojous patch to delete log files from freepopsd.vbs (gareuselesinge)
- tre.lua: fixed problem with purge (dpeddi)
- fr: added fr website (gareuselesinge)
- fr: *** empty log message *** (fvancaen)
- es, fr: fixed rss (gareuselesinge)
- es: *** empty log message *** (lisar314)
- yahoo.lua: Some minor tweaks to yahoo. (russell822)
- fixed Location handling in case a non rfc conformin web server (IIS)
sends a relativeURI instead an absoluteURI
- added @unforgettable.com to mailcom (thanks tranx)
- fixed bad &nbsp; in httpmail.lua (thanks Charlie)
- double - in the manual are now separated by a \hspace{1mm}
- removed rfcs and contracts from the default tarball since they are not
conforming to DFSG.
- added command 'status' to RPM init script
- added Rojous patch to freepopsd.vbs to clean log files
- fixed "no more log file names available" bug
- added concento.it and clarence.com (thanks m_root and Olizad)
- fixed bad &iexcl; in httpmail.lua (thanks Javier)
- patch for FreeBSD compilation problems (thanks Filippo Natali)
- fixed debian builds and debs, now hopefully conforming to debian policy
25/12/2004 0.0.23
- updated kernel.lua plugin
- es: *** empty log message *** (lisar314)
- tre.lua: Added folder parameter, now use curl for basic auth, added support for three.com.au and others (To be tested) (dpeddi)
- hotmail.lua: added mailcom and fixed hotmail.it (gareuselesinge)
- tre.lua: Bugfix, From/To/Cc should be parsed correctly, initial support for e-mail from vocal mailbox (dpeddi)
- tre.lua: Date should be now in an RFC format (dpeddi)
- tre.lua: Cleaned email body from three html tags (dpeddi)
- hotmail.lua: added co.uk, co.jp, de domains to hotmail (gareuselesinge)
- aol.lua: Fixed some netscape issues in STAT and DELE. Also urlencode the password. (russell822)
- es: fixed rss (gareuselesinge)
- yahoo.lua: fixed CRLF substitution bug (ingenuus)
- gmail.lua, es: fix (gareuselesinge)
- es: Noticias (lisar314)
- tre.lua: added purge flag (default yes) to remove files from trash on exit (dpeddi)
- es: changed slackware link (alessiofender)
- tre.lua: activated log.dbg instead of print (dpeddi)
- hotmail.lua: added a session timeout (russell822)
- added hotmail.it support
- added mailcom.lua to official plugins
- fixed supereva X-Priority
- new mimer attach_it implementation (no HEAD request required)
- supereva to the manual
- fixed gmail login in case of failure
- implemented the fallback of HEAD to GET,Range:bytes=0-1
- fixed weakness in mimer and browser if HEAD returns 500: internal server err
- moved windows to openssl-0.9.7e 
- new functrions in mimer and common modules to better support supereva
- added supereva.lua to official plugins
- fixed gmail.lua STAT issue (thanks to kzero22)
- fixed debian init script to remove pid file
- changed web links in the manual to www.freepops.org
- fixed dependencies to build debian package
- more slack patch
- added hotmail.de , hotmail.co.uk , hotmail.co.jp support
- implemented PLUGIN_REQUIRE_VERSION
- slack patch applied
18/11/2004 0.0.21
- fixed S_ISSOCK for BeOS in luafilesystem
- curl.unescape
- yahoo.lua: tweaked the status update process (russell822)
- es: *** empty log message *** (lisar314)
- aol.lua: Fix for new UI (russell822)
- README.FPM.en.txt, README.FPM.it.txt, freepopsd.vbs: Versione 1.4 di FreePOPs & Mailv. 1.4 Corretti bug minori. (p3g4sus)
- hotmail.lua: another try for the old mailbox format (russell822)
- hotmail.lua: Some tweaks to make it more language independent and emptytrash (russell822)
- README.FPM.en.txt, README.FPM.it.txt: Readme v. 1.6:Aggiunta la sezione dei requisiti che aiuta a risolvere il runtime error 800A01B0 (p3g4sus)
- yahoo.lua: doc in it e yahoo.es (ncocchiaro)
- README.FPM.en.txt, README.FPM.it.txt: Applicate Misure antispam sui readme (p3g4sus)
- gmail.lua: corretta descrizione del plugin in it e en (ncocchiaro)
- es: fixed rss (gareuselesinge)
- yahoo.lua: added emptying bulk and junk folder, updated some patterns, fixed problem with yahoo new mail indicator. (russell822)
- hotmail.lua: Added support for the new folder format (russell822)
- gmail.lua, yahoo.lua: fix (gareuselesinge)
- added luafilesystem bindings (from http://keplerproject.org)
- added lua_unofficial directory scanning for unofficial plugins
- added freepops.safe_extract_domains(file) to extract the domains supported
by a plugin (should be used to implement the LUA_UNOFFICIAL auto scan)
- added startup script to mac os x
- improved installer on mac os x
- fixed path issue in mac os x
- fixed gmail description
- hack for "secure" cookie
- fixed problem in cookie (thanks russell)
- added slackware patch by Lorenzo Buzzi
- linux_usr configure.sh target (to have a good make install)
- fixed jail in sid
- fixed popforward.lua (thanks Rojous and CWP)
- added crypto HMAC routine to lua
- added contributors to AUTHORS and the win32 popup
- updated yahoo domains
- added some verbosity to psock.lua
23/10/2004 0.0.20
- aol.lua: Changed the references to netscape.com to netscape.net (russell822)
- es: fixed news namespace (alessiofender)
- es: fixed rss (gareuselesinge)
- hotmail.lua: Added a buffer to better escape &...; chars (russell822)
- yahoo.lua: a tweak on the new line substitution (russell822)
- es: *** empty log message *** (lisar314)
- README.FPM.en.txt, README.FPM.it.txt, freepopsd.vbs: Versione 1.1 dello script FreePOPs & Mailv. 1.1 Corretto un bug che non faceva funzionare lo script quando il client di default era indicato nel registro di windows senza le virgolette (") (p3g4sus)
- es: I have finished the traslation of the tutorial into Spanish. (lisar314)
- aol.lua: fix (gareuselesinge)
- es: Incredimail in Spanish (lisar314)
- yahoo.lua: Fixed a bug with markunread (russell822)
- hotmail.lua: Fixed regexp for mac (russell822)
- README.FPM.en.txt, README.FPM.it.txt, freepopsd.vbs: Versione 1.3 di
FreePOPs & Mail:v. 1.3 Ora lo script non legge piu' ogni volta il percorso del mail client da avviare dal registro di Windows. Legge il registro (e crea il file di configurazione) solo quando non esiste il file "fpm.ini". Quando questo esiste, il mail client da avviare viene letto al suo interno. Questo permette di personalizzare il mail client da avviare. (p3g4sus)
- es: news (lisar314)
- es: News (lisar314)
- fixed mimer.lua bug
- added close_ch.sh script to automatically build the ChageLog from contributors
- fixed manual for --no-icon (thanks pegasus)
- win moved to curl 7.12.1 (should fix some proxy bugs and close some TODO)
- netscape.com -> netscape.net in config.lua
08/10/2004 0.0.19 fix release (win feature release)
- added pegasus manual to win installer
- finished win service with manual alinks
- fixed aggregator.lua
- added FreePOPsService.exe to the win distribution, not completely working.
- fixed debian chroot jail (thanks Alessandro B.).
- added win32 script to starf FP & OE. (thanks pegasus).
- fixed win32 XML generation, now freepopsd.exe -x gmail.lua creates a
gmail.lua.xml file instead of writing the XML to stdout.txt
- libero_login now made with a POST, since some proxy logs in clear the GET
parameters. Thanks Roberto F.
- added --no-icon win32 flag
- fissato uninstall win32
27/09/2004 0.0.18 fix release
- updated plugins by russell
- fixed bad bug in dothack()
- fixed potential bug in log.c
- more work on BeOS, should build properly now.
- fixed log.c bug in BeOS porting (thanks ...)
- fixed win32 exit function
- fixed a bit more the rpm
19/09/2004 0.0.17 fix release
- fixed XML generation. no more escaped entities
- fixed out of boud RETR don't send . bug (thanks ramik for submitting)
- fix per yahoo (ramik)
- fix for gmail: modified dele actions for default folders, fix for message
marking, fix for passwords with special characters, modified action for spam
folder. (thanks ramik)
- added Mac OS X Jaguar support
- added fn:patch tag support to flatnuke plugin
- added crypto (md5 and bin2hex) bindings
- error in liber.lua (comments) (thanks emaury)
- fixed popforward
- now the popserver disconnects after 60 seconds of client inactivity (this is
RFC compliant, even if the rfc says we should wait more maybe, and the NOP
pop3 command is used to avoid timeouts.
- added --fpat to force proxy auth method
- some stuff that may fix win32 shutdown problems
- fixed dothack bug
- gmail \r\r\n and \r\n\n issue fixed
- gmail has an auto learn \r-\n-issue procedure and fix
- fixed hotmail and yahoo (thanks russell)
08/09/2004 0.0.16 major feature release
- fixed the gmail plugin and added some parameters (thanks rami)
- owa.lua moved to davmail.lua
- fixed ebuild (thanks er_capoccia)
- added support for w3c date format in aggregator.lua
- httpmail now uses iso-8859-1 instead of utf8 since Windows-1252 is 8 bit
- added support for charset encoding in aggregator.lua
- added support for content tag in aggregator.lua
- added suport for host=hostname:port to popforward.lua
- added the pipe and pipe_limit options to popforward.lua
- added the io.dpopen lua primitive unter unix
- some pretty stuff for make
- added -x, --toxml to export plugin description to XML
- fixed building tgz-dist from the sources (not from CVS)
- fixed owa.lua double stat() (thanks hetfield)
- added owa.lua for httpmail based webmails
- added some methods to browser to easily implement DAV
- added httpmail-DAV implementation
- fixed gmail.lua \r\n issue
- added luaexpat bindings
- added aol.lua (thanks to russell)
- adedd the arrow winsystray stuff (thanks russells)
- added option -k to kill the running freepopsd
- fixed URL decoding for plugin parameters and added support for space
represented as + character
- added standard folders support for yahoo.it
- added yahoo.it support to yahoo.lua
- added linuxgazette.net aggregator domains
08/08/2004 0.0.14 fix release
- fixed gmail login procedure
- fixed some stuff in cookie.lua
- added yahoo.lua (thanks russell)
- fixed bug in libero.lua (local b = internal_state.b missing before
b:verbose_mode(), submitted by Negrore)
- lycos parsing message workaround (should be fixed)
- bug in lycos TOP fixed
- libero.lua adopted to use common.lua top and retr_cb
- tin.lua adopted to use common.lua top and retr_cb
- common.lua now includes a common TOP implementarion and the classical
retr_cb and top_cb factories.
- finished FreeBSD porting
26/07/2004 0.0.13 fix release
- fixed manual (thanks er_capoccia)
- fixed rpm /etc/init.d script (thanks domfe)
- the win32 install no more overwrites the start menu entry (preserves the user options)
- added to browser the NTLM and other auth type if SSL is found
- added folder support to libero.lua
- fixed libero.lua TOP function
- added scripts/cvs2changelog.lua to generate changelog for the contibuted
plugins
- added folder parameter to tin.lua plugin
- fixed aggregator plugin to respect RSS 2.0 specifications
- added args parser
- added freepops-doc debian package
- fixed last cygwin issue
- fixed gmail TOP
- fixed cygwin build target (partially)
- porting freepops to OpenBSD
- added cvs_acl to allow contributors commit
- fixed bug in browser.lua (u could be nil but indexed)
- added b:ssl_init_stuff() and b:verbose_mode()
- complete fix to browser.lua that now supports rotten cookies (thanks Eddi)
09/07/2004 0.0.12 fix release
- added link tag support to aggregator plugin
- added spam/AV tutorial to the manual
- added some gmail fixes
- added LAN tutorial to the manual
- added some extra checks to browser's mangle location
08/07/2004 0.0.11 feature/fix release (never released officially)
- added base tutorials to manual
- added pubDate tag support to aggregator plugin
- added gmail.lua to manual + various fixes
- added man page to manual
- added FAQ to manual
- fixed man page
- fixed old bug in popstate.c in wrong index check in array acess
- fixed bug introduced in fixing the fix for popserver rfc compliace
- added kerneltrap.org and linux.kerneltrap.org aggregator domains
- fixed aggregator.lua and flatnuke.lua 
- added reject/accept policy section in config.lua
- added # chkconfig to rpm rc file (thanks domfe)
- fixed bug introduced in fixing popserver rfc compliace
- added plugin tutorial to the manual
- fixed bug in aggregator.lua
- fixed bug in mimer (thanks nickshw for bugreporting)
- regularexp lua bindings added
- workaround for the tin TOP. (not fixed, probable bug in stringhack.tophack)
- fixed popserver rfc compliace issue (stat/list/uidl doesn't show messages
marked for deletion) thanks ramik for bugreporting
- fixed bug in browser.lua
- fixed tin.lua issue
28/06/2004 0.0.10 fix release
- added freepops.need_sll() that asserts SSL is present 
(call it after loading browser in the init function of the plugin)
- added browser.ssl_enabled() to check is SSL is available
- fixed bug in engine.c (thanks to ramik)
- added fflush to luay.c (thanks to ramik)
- fixed bug in lycos (thanks to Francesco)
27/06/2004 0.0.9 fix release
- now win32 dist can include SSL enabled curl
- added browser:get_cookie(name) 
- added sanity checks functions to plugins
- common.lua now implements the commonly used uidl* list* dele rset noop
- fixed tin.lua for messages bigger than 1MB
- fixed proxy Host: problem
- added header to each source file
- fixed file descriptor leak in log.c (log_rotate)
22/06/2004 0.0.8 fix release
- now lycos deletes messages from the trash
- doc to kernel.lua
- fixed some lycos issues
20/06/2004 0.0.7 fix release
- fixed gentoo (thanks Er Capoccia)
- added some shortcuts to the win32 installer
- fixed curl_lua
19/06/2004 0.0.6 fix release
- fixed some lycos problems 
- documented lycos.lua in the manual
15/06/2004 0.0.5 feature release
- proxy fixed
- added kernel.org plugin (kernel.lua)
- aggregator.lua now encodes uidl strings
- added mimer module
- fixed bug in base64
- fixed bug in browser
- lycos.it webmail support
- fixed mlex.c bug
- fixed a tin webmail reference to a libero function
07/06/2004 0.0.4 fix/source-reorganization release
- added pkg file for Mac OS X
- documentation for new modules
- badguy feature added to tin.lua
- added luabind module (factorization of useful functions in bindings)
- completely removed tolua++
- bindings for getdate made by hand
- bindings for popserver made bt hand
- fixed curl_lua for truncating a connection in the callback
- session_lua now are made by hand, no more tolua++
- log_lua now are made by hand, no more tolua++
- all webmail now share the same get_name and get_domain functions
- fixed stupid fetchmail top bug
- log used to write liberopopsd :)
- fixed "-" in the username
- proxy AUTH issue workaround (not able to make CURLAUTH_ANY work)
28/05/2004 0.0.3 bomb! feature release
- updated the doc
- fixed libero webmail to new mlex and new libero webmail (nobody
noticed it has changed so much? probably because the old mlex continued
to work properly, but it was a lucky case!)
- added tin webmail
- improved mlex.c with <script> correct handling
- fixed http redirection 
- fixed browser cookie generation
19/05/2004 0.0.2 feature release [never released]
- added browser:get_head(url,extraheader) method
- fixed Makefile verbosity
- fixed chroot jail for curl
- fixed aggregator.lua (thanks to bimbosuper)
- added games.gamespot.com and news.gamespot.com aggregator domains
- updated the website with FAQ section
- documentation for curl_lua and psock
- moved popforward from luasocket to psock (poor but works)
- added portablesocket_lua module
- updated libero.lua to new browser.lua
- updated serialize.lua to support "self serializing" objects
- updates support.lua to support new browser.lua
- updated browser.lua do cURL
- moved to cURL
- added curl_lua module
01/05/2004 0.0.1 first public release
